summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorArthur Zamarin <arthurzam@gentoo.org>2021-10-06 08:22:59 +0300
committerArthur Zamarin <arthurzam@gentoo.org>2021-10-06 13:31:25 +0300
commit99d168d99efc324ceddf0545313109933b69497f (patch)
tree0306eddf6f70de129433041d023d2f4672f4c84c
parentapp-emacs/org-contrib: New package, split off from org-mode (diff)
downloadgentoo-99d168d99efc324ceddf0545313109933b69497f.tar.gz
gentoo-99d168d99efc324ceddf0545313109933b69497f.tar.bz2
gentoo-99d168d99efc324ceddf0545313109933b69497f.zip
dev-python/pynput: add 1.7.3, enable py3.10
Signed-off-by: Arthur Zamarin <arthurzam@gentoo.org>
-rw-r--r--dev-python/pynput/Manifest1
-rw-r--r--dev-python/pynput/pynput-1.7.3.ebuild34
2 files changed, 35 insertions, 0 deletions
diff --git a/dev-python/pynput/Manifest b/dev-python/pynput/Manifest
index 62ccc8a9e58..11f847a136f 100644
--- a/dev-python/pynput/Manifest
+++ b/dev-python/pynput/Manifest
@@ -1 +1,2 @@
DIST pynput-1.6.8.tar.gz 94483 BLAKE2B c04714fb9cdda9527ed6d3c0e7c25214a7678ee908f1a638023b95c2f63242fa7dc28f193b2055338a9cce10c26399eb4f4af0ec69a6ffaa1be0b7e85481ecc4 SHA512 23cf2e47e0a284aeb2e294529a1f47a01a42bccae146500eee2ff74704cb5ef7ff33327cca5d6ebec338369b1341c489431891d9f034801cc6be9aac2af90442
+DIST pynput-1.7.3.gh.tar.gz 101244 BLAKE2B 9f0468b4f94c825e4a093cbfab1ede6988352c4fa3f04f7cc29948d353e0aaaac8bd446f758d79916c2801c7d30ac8f04060e6b27ee29af705a61627ce0c6a5b SHA512 ee8d4439716ddd34765114ca111292d6ec6aca133c18256b378afa4efaae9146280f146dfa9ebb40f0371cb13d449ac5cb87b8fde1f6a2d7fcab456718dae683
diff --git a/dev-python/pynput/pynput-1.7.3.ebuild b/dev-python/pynput/pynput-1.7.3.ebuild
new file mode 100644
index 00000000000..3232b52315e
--- /dev/null
+++ b/dev-python/pynput/pynput-1.7.3.ebuild
@@ -0,0 +1,34 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{8..10} )
+inherit distutils-r1
+
+DESCRIPTION="Sends virtual input commands"
+HOMEPAGE="https://github.com/moses-palmer/pynput"
+
+LICENSE="GPL-3"
+SLOT="0"
+
+if [[ ${PV} = "9999" ]]; then
+ inherit git-r3
+ EGIT_REPO_URI="https://github.com/moses-palmer/pynput.git"
+else
+ SRC_URI="
+ https://github.com/moses-palmer/pynput/archive/v${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+ "
+ KEYWORDS="~amd64 ~x86"
+fi
+
+RDEPEND="
+ dev-python/six[${PYTHON_USEDEP}]
+ dev-python/python-xlib[${PYTHON_USEDEP}]
+"
+
+src_prepare() {
+ sed -e "s/ + SETUP_PACKAGES,/,/g" -i setup.py || die
+ distutils-r1_src_prepare
+}